# auto-generated code
require 'acirb/mo'
module ACIrb
  class AibAdj < MO
    @class_name = 'aib.Adj'
    @ruby_class = 'AibAdj'
    @prefix = 'adj-'
    @prefixes = [['adj-', true], ['-', true]]
    @rn_format = 'adj-[%(addr)s]-[%(if)s]'
    @containers = ['AibDb']
    @props = { 'addr' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => false },
      'childAction' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'dn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => true, 'isRn' => false },
      'if' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => false },
      'modTs' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'name' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'rn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => true },
      'status' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false } }
    @child_classes = ['AibAdjOwner']
    @label = 'Adjacency'
    @naming_props = ['addr', 'if']
    @read_only = true

    def rn
      'adj-[' << @attributes['addr'] << ']-[' << @attributes['if'] << ']'
    end
  end
  class AibAdjOwner < MO
    @class_name = 'aib.AdjOwner'
    @ruby_class = 'AibAdjOwner'
    @prefix = 'owner-'
    @prefixes = [['owner-', true]]
    @rn_format = 'owner-[%(owner)s]'
    @containers = ['AibAdj']
    @props = { 'active' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'childAction' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'dn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => true, 'isRn' => false },
      'l2If' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'mac' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'modTs' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'name' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'owner' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => false },
      'pref' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'rn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => true },
      'status' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'updateTs' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false } }
    @child_classes = []
    @label = 'Adjacency Owner'
    @naming_props = ['owner']
    @read_only = true

    def rn
      'owner-[' << @attributes['owner'] << ']'
    end
  end
  class AibDb < MO
    @class_name = 'aib.Db'
    @ruby_class = 'AibDb'
    @prefix = 'db-'
    @prefixes = [['db-', true]]
    @rn_format = 'db-%(type)s'
    @containers = ['AibDom']
    @props = { 'childAction' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'dn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => true, 'isRn' => false },
      'modTs' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'name' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'rn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => true },
      'status' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'type' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => false } }
    @child_classes = ['AibAdj']
    @label = 'Database'
    @naming_props = ['type']
    @read_only = true

    def rn
      'db-' << @attributes['type'] << ''
    end
  end
  class AibDom < MO
    @class_name = 'aib.Dom'
    @ruby_class = 'AibDom'
    @prefix = 'dom-'
    @prefixes = [['dom-', true]]
    @rn_format = 'dom-%(name)s'
    @containers = ['AibEntity']
    @props = { 'childAction' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'dn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => true, 'isRn' => false },
      'modTs' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'name' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => false },
      'rn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => true },
      'status' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false } }
    @child_classes = ['AibDb']
    @label = 'Domain'
    @naming_props = ['name']
    @read_only = true

    def rn
      'dom-' << @attributes['name'] << ''
    end
  end
  class AibEntity < MO
    @class_name = 'aib.Entity'
    @ruby_class = 'AibEntity'
    @prefix = 'aib'
    @prefixes = [['aib', false]]
    @rn_format = 'aib'
    @containers = ['TopSystem']
    @props = { 'adminSt' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'childAction' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'dn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => true, 'isRn' => false },
      'modTs' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'name' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => false },
      'operErr' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'operSt' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'rn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => true },
      'status' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false } }
    @child_classes = ['AibDom']
    @label = 'Adjacency Information Base Entity'
    @naming_props = []
    @read_only = true

    def rn
      'aib'
    end
  end

end
