# auto-generated code
require 'acirb/mo'
module ACIrb
  class CtxApplication < MO
    @class_name = 'ctx.Application'
    @ruby_class = 'CtxApplication'
    @prefix = 'svc-'
    @prefixes = [['svc-', true], ['-id-', true]]
    @rn_format = 'svc-%(name)s-id-%(id)s'
    @containers = ['CtxLocal']
    @props = { 'childAction' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'dn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => true, 'isRn' => false },
      'id' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => false },
      'modTs' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'monPolDn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'name' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => false },
      'rn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => true },
      'status' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false } }
    @child_classes = ['FaultCounts', 'HealthInst', 'PkiExportEncryptionKeyRelnHolder', 'AaaRbacEpRelnHolder', 'PolDefRelnHolder', 'FabricCtrlrCont', 'StpAllocEncapCont', 'RelnSvcCont', 'AaaSecRelnHolder', 'VzAnyDefCont', 'VzCollectionDef', 'PolUni', 'L2EncapUni']
    @label = 'Application Context'
    @naming_props = ['name', 'id']
    @read_only = true

    def rn
      'svc-' << @attributes['name'] << '-id-' << @attributes['id'] << ''
    end
  end
  class CtxClassCnt < MO
    @class_name = 'ctx.ClassCnt'
    @ruby_class = 'CtxClassCnt'
    @prefix = 'ccnt-'
    @prefixes = [['ccnt-', true]]
    @rn_format = 'ccnt-%(name)s'
    @containers = ['TopRoot', 'FabricNode']
    @props = { 'childAction' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'count' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'dn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => true, 'isRn' => false },
      'lcOwn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'modTs' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'name' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => false },
      'rn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => true },
      'status' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false } }
    @child_classes = []
    @label = 'None'
    @naming_props = ['name']
    @read_only = true

    def rn
      'ccnt-' << @attributes['name'] << ''
    end
  end
  class CtxData < MO
    @class_name = 'ctx.Data'
    @ruby_class = 'CtxData'
    @prefix = 'ctx-'
    @prefixes = [['ctx-', true]]
    @rn_format = 'ctx-%(lri)s'
    @containers = ['CtxMultiData']
    @props = { 'childAction' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'dn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => true, 'isRn' => false },
      'lri' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => false },
      'modTs' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'rn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => true },
      'status' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false } }
    @child_classes = []
    @label = 'None'
    @naming_props = ['lri']
    @read_only = true

    def rn
      'ctx-' << @attributes['lri'] << ''
    end
  end
  class CtxLocal < MO
    @class_name = 'ctx.Local'
    @ruby_class = 'CtxLocal'
    @prefix = 'local'
    @prefixes = [['local', false]]
    @rn_format = 'local'
    @containers = ['FabricNode']
    @props = { 'childAction' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'dn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => true, 'isRn' => false },
      'lcOwn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'modTs' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'monPolDn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'rn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => true },
      'status' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false } }
    @child_classes = ['FaultCounts', 'HealthInst', 'CtxApplication']
    @label = 'Local Context'
    @naming_props = []
    @read_only = true

    def rn
      'local'
    end
  end
  class CtxMultiData < MO
    @class_name = 'ctx.MultiData'
    @ruby_class = 'CtxMultiData'
    @prefix = 'mctx'
    @prefixes = [['mctx', false]]
    @rn_format = 'mctx'
    @containers = ['TopRoot']
    @props = { 'childAction' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'dn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => true, 'isRn' => false },
      'modTs' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'rn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => true },
      'status' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false } }
    @child_classes = ['CtxData']
    @label = 'None'
    @naming_props = []
    @read_only = true

    def rn
      'mctx'
    end
  end
  class CtxNotification < MO
    @class_name = 'ctx.Notification'
    @ruby_class = 'CtxNotification'
    @prefix = 'code-'
    @prefixes = [['code-', true]]
    @rn_format = 'code-%(code)s'
    @containers = ['TopRoot']
    @props = { 'childAction' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'code' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => false },
      'descr' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'dn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => true, 'isRn' => false },
      'lcOwn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'modTs' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'rn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => true },
      'status' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'uid' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false } }
    @child_classes = []
    @label = 'None'
    @naming_props = ['code']
    @read_only = false

    def rn
      'code-' << @attributes['code'] << ''
    end
  end
  class CtxSubjHolder < MO
    @class_name = 'ctx.SubjHolder'
    @ruby_class = 'CtxSubjHolder'
    @prefix = 'subidx-'
    @prefixes = [['subidx-', true]]
    @rn_format = 'subidx-%(id)s'
    @containers = ['TopRoot']
    @props = { 'childAction' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'dn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => true, 'isRn' => false },
      'id' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => false },
      'modTs' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'rn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => true },
      'status' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false } }
    @child_classes = []
    @label = 'None'
    @naming_props = ['id']
    @read_only = true

    def rn
      'subidx-' << @attributes['id'] << ''
    end
  end

end
