# auto-generated code
require 'acirb/mo'
module ACIrb
  class Ipv4Addr < MO
    @class_name = 'ipv4.Addr'
    @ruby_class = 'Ipv4Addr'
    @prefix = 'addr-'
    @prefixes = [['addr-', true]]
    @rn_format = 'addr-[%(addr)s]'
    @containers = ['Ipv4If']
    @props = { 'addr' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => false },
      'childAction' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'ctrl' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'dn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => true, 'isRn' => false },
      'ipv4CfgFailedBmp' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'ipv4CfgFailedTs' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'ipv4CfgState' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'lcOwn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'modTs' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'monPolDn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'operSt' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'operStQual' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'pref' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'rn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => true },
      'status' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'tag' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'type' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'vpcPeer' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false } }
    @child_classes = ['FaultCounts', 'HealthInst', 'IpRsIpAddr', 'FaultInst', 'IpRsRtDefIpAddr', 'IpRsAddrToIpDef']
    @label = 'Ipv4 Address'
    @naming_props = ['addr']
    @read_only = true

    def rn
      'addr-[' << @attributes['addr'] << ']'
    end
  end
  class Ipv4Dom < MO
    @class_name = 'ipv4.Dom'
    @ruby_class = 'Ipv4Dom'
    @prefix = 'dom-'
    @prefixes = [['dom-', true]]
    @rn_format = 'dom-%(name)s'
    @containers = ['Ipv4Inst']
    @props = { 'childAction' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'dn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => true, 'isRn' => false },
      'encap' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'lcOwn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'modTs' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'monPolDn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'name' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => false },
      'rn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => true },
      'rtrId' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'status' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false } }
    @child_classes = ['FaultCounts', 'HealthInst', 'Ipv4If', 'Ipv4Route']
    @label = 'IPv4 Domain'
    @naming_props = ['name']
    @read_only = true

    def rn
      'dom-' << @attributes['name'] << ''
    end
  end
  class Ipv4Entity < MO
    @class_name = 'ipv4.Entity'
    @ruby_class = 'Ipv4Entity'
    @prefix = 'ipv4'
    @prefixes = [['ipv4', false]]
    @rn_format = 'ipv4'
    @containers = ['TopSystem']
    @props = { 'adminSt' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'childAction' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'dn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => true, 'isRn' => false },
      'lcOwn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'modTs' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'monPolDn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'name' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => false },
      'operErr' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'operSt' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'rn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => true },
      'status' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false } }
    @child_classes = ['Ipv4Inst', 'FaultCounts', 'HealthInst']
    @label = 'IPv4 Entity'
    @naming_props = []
    @read_only = true

    def rn
      'ipv4'
    end
  end
  class Ipv4If < MO
    @class_name = 'ipv4.If'
    @ruby_class = 'Ipv4If'
    @prefix = 'if-'
    @prefixes = [['if-', true]]
    @rn_format = 'if-[%(id)s]'
    @containers = ['Ipv4Dom']
    @props = { 'adminSt' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'childAction' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'ctrl' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'descr' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'dn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => true, 'isRn' => false },
      'donorIf' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'id' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => false },
      'lcOwn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'modTs' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'mode' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'monPolDn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'name' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'rn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => true },
      'status' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false } }
    @child_classes = ['Ipv4Addr', 'FaultCounts', 'HealthInst', 'NwRtPathToIf']
    @label = 'IPv4 Interface'
    @naming_props = ['id']
    @read_only = true

    def rn
      'if-[' << @attributes['id'] << ']'
    end
  end
  class Ipv4Inst < MO
    @class_name = 'ipv4.Inst'
    @ruby_class = 'Ipv4Inst'
    @prefix = 'inst'
    @prefixes = [['inst', false]]
    @rn_format = 'inst'
    @containers = ['Ipv4Entity']
    @props = { 'adminSt' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'childAction' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'ctrl' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'dn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => true, 'isRn' => false },
      'lcOwn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'modTs' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'monPolDn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'name' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => false },
      'operErr' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'rn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => true },
      'status' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false } }
    @child_classes = ['FaultCounts', 'HealthInst', 'Ipv4Dom']
    @label = 'IPv4 Instance'
    @naming_props = []
    @read_only = true

    def rn
      'inst'
    end
  end
  class Ipv4Nexthop < MO
    @class_name = 'ipv4.Nexthop'
    @ruby_class = 'Ipv4Nexthop'
    @prefix = 'nh-'
    @prefixes = [['nh-', true], ['-addr-', true], ['-vrf-', true]]
    @rn_format = 'nh-[%(nhIf)s]-addr-[%(nhAddr)s]-vrf-[%(nhVrf)s]'
    @containers = ['Ipv4Route']
    @props = { 'cachedRtCtrl' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'childAction' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'contextId' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'descr' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'dn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => true, 'isRn' => false },
      'flags' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'ipv4CfgFailedBmp' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'ipv4CfgFailedTs' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'ipv4CfgState' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'lcOwn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'modTs' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'monPolDn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'name' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'nhAddr' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => false },
      'nhIf' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => false },
      'nhVrf' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => false },
      'operSt' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'operStQual' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'pref' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'rn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => true },
      'rwEncap' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'status' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false } }
    @child_classes = ['FaultCounts', 'HealthInst', 'FaultInst', 'IpRsNexthopToNexthopDef', 'IpRsNexthopToProtG', 'FaultDelegate']
    @label = 'IPv4 Nexthop'
    @naming_props = ['nhIf', 'nhAddr', 'nhVrf']
    @read_only = true

    def rn
      'nh-[' << @attributes['nhIf'] << ']-addr-[' << @attributes['nhAddr'] << ']-vrf-[' << @attributes['nhVrf'] << ']'
    end
  end
  class Ipv4NexthopStub < MO
    @class_name = 'ipv4.NexthopStub'
    @ruby_class = 'Ipv4NexthopStub'
    @prefix = 'nhs-'
    @prefixes = [['nhs-', true], ['-addr-', true], ['-vrf-', true]]
    @rn_format = 'nhs-[%(nhIf)s]-addr-[%(nhAddr)s]-vrf-[%(nhVrf)s]'
    @containers = ['Ipv4Route']
    @props = { 'cachedRtCtrl' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'childAction' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'contextId' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'descr' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'dn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => true, 'isRn' => false },
      'flags' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'lcOwn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'modTs' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'name' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'nhAddr' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => false },
      'nhIf' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => false },
      'nhVrf' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => false },
      'operSt' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'operStQual' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'pref' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'rn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => true },
      'rwEncap' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'status' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false } }
    @child_classes = ['IpRsNexthopToProtG', 'IpRsNexthopToNexthopDef', 'FaultDelegate']
    @label = 'IPv4 Nexthop'
    @naming_props = ['nhIf', 'nhAddr', 'nhVrf']
    @read_only = true

    def rn
      'nhs-[' << @attributes['nhIf'] << ']-addr-[' << @attributes['nhAddr'] << ']-vrf-[' << @attributes['nhVrf'] << ']'
    end
  end
  class Ipv4Route < MO
    @class_name = 'ipv4.Route'
    @ruby_class = 'Ipv4Route'
    @prefix = 'rt-'
    @prefixes = [['rt-', true]]
    @rn_format = 'rt-[%(prefix)s]'
    @containers = ['Ipv4Dom']
    @props = { 'childAction' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'ctrl' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'descr' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'dn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => true, 'isRn' => false },
      'flushCount' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'lcOwn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'modTs' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'monPolDn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'name' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'pcTag' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'pref' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'prefix' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => false },
      'rn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => true },
      'sharedConsCount' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'status' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'tag' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false } }
    @child_classes = ['FaultCounts', 'HealthInst', 'IpRsRouteToIfConn', 'Ipv4Nexthop', 'FaultDelegate', 'IpRsRouteToRouteDef', 'Ipv4NexthopStub']
    @label = 'IPv4 Static Route'
    @naming_props = ['prefix']
    @read_only = true

    def rn
      'rt-[' << @attributes['prefix'] << ']'
    end
  end

end
