# auto-generated code
require 'acirb/mo'
module ACIrb
  class Ipv6Addr < MO
    @class_name = 'ipv6.Addr'
    @ruby_class = 'Ipv6Addr'
    @prefix = 'addr-'
    @prefixes = [['addr-', true]]
    @rn_format = 'addr-[%(addr)s]'
    @containers = ['Ipv6If']
    @props = { 'addr' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => false },
      'childAction' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'ctrl' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'dn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => true, 'isRn' => false },
      'ipv6CfgFailedBmp' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'ipv6CfgFailedTs' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'ipv6CfgState' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'lcOwn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'modTs' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'monPolDn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'operAddr' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'operSt' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'operStQual' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'pref' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'rn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => true },
      'status' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'tag' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'type' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'vpcPeer' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false } }
    @child_classes = ['FaultCounts', 'HealthInst', 'IpRsIpAddr', 'FaultInst', 'IpRsRtDefIpAddr', 'IpRsAddrToIpDef']
    @label = 'IPV6 Address'
    @naming_props = ['addr']
    @read_only = true

    def rn
      'addr-[' << @attributes['addr'] << ']'
    end
  end
  class Ipv6Dom < MO
    @class_name = 'ipv6.Dom'
    @ruby_class = 'Ipv6Dom'
    @prefix = 'dom-'
    @prefixes = [['dom-', true]]
    @rn_format = 'dom-%(name)s'
    @containers = ['Ipv6Inst']
    @props = { 'childAction' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'dn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => true, 'isRn' => false },
      'encap' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'lcOwn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'modTs' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'monPolDn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'name' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => false },
      'rn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => true },
      'rtrId' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'status' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false } }
    @child_classes = ['Ipv6Route', 'FaultCounts', 'HealthInst', 'Ipv6If']
    @label = 'IPV6 Domain'
    @naming_props = ['name']
    @read_only = true

    def rn
      'dom-' << @attributes['name'] << ''
    end
  end
  class Ipv6Entity < MO
    @class_name = 'ipv6.Entity'
    @ruby_class = 'Ipv6Entity'
    @prefix = 'ipv6'
    @prefixes = [['ipv6', false]]
    @rn_format = 'ipv6'
    @containers = ['TopSystem']
    @props = { 'adminSt' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'childAction' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'dn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => true, 'isRn' => false },
      'lcOwn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'modTs' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'monPolDn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'name' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => false },
      'operErr' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'operSt' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'rn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => true },
      'status' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false } }
    @child_classes = ['FaultCounts', 'HealthInst', 'Ipv6Inst']
    @label = 'IPv6 Entity'
    @naming_props = []
    @read_only = true

    def rn
      'ipv6'
    end
  end
  class Ipv6If < MO
    @class_name = 'ipv6.If'
    @ruby_class = 'Ipv6If'
    @prefix = 'if-'
    @prefixes = [['if-', true]]
    @rn_format = 'if-[%(id)s]'
    @containers = ['Ipv6Dom']
    @props = { 'adminSt' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'childAction' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'ctrl' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'descr' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'dn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => true, 'isRn' => false },
      'donorIf' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'id' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => false },
      'lcOwn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'llAddr' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'lloperSt' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'lloperStQual' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'modTs' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'mode' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'monPolDn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'name' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'operllAddr' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'rn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => true },
      'status' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false } }
    @child_classes = ['FaultCounts', 'HealthInst', 'FaultInst', 'Ipv6LLaddr', 'Ipv6Addr', 'NwRtPathToIf']
    @label = 'IPV6 Interface'
    @naming_props = ['id']
    @read_only = true

    def rn
      'if-[' << @attributes['id'] << ']'
    end
  end
  class Ipv6Inst < MO
    @class_name = 'ipv6.Inst'
    @ruby_class = 'Ipv6Inst'
    @prefix = 'inst'
    @prefixes = [['inst', false]]
    @rn_format = 'inst'
    @containers = ['Ipv6Entity']
    @props = { 'adminSt' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'childAction' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'ctrl' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'dn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => true, 'isRn' => false },
      'lcOwn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'modTs' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'monPolDn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'name' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => false },
      'operErr' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'rn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => true },
      'status' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false } }
    @child_classes = ['Ipv6Dom', 'FaultCounts', 'HealthInst']
    @label = 'IPv6 Instance'
    @naming_props = []
    @read_only = true

    def rn
      'inst'
    end
  end
  class Ipv6LLaddr < MO
    @class_name = 'ipv6.LLaddr'
    @ruby_class = 'Ipv6LLaddr'
    @prefix = 'lladdr-'
    @prefixes = [['lladdr-', true]]
    @rn_format = 'lladdr-[%(addr)s]'
    @containers = ['Ipv6If']
    @props = { 'addr' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => false },
      'childAction' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'ctrl' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'dn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => true, 'isRn' => false },
      'lcOwn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'modTs' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'operAddr' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'operSt' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'operStQual' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'pref' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'rn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => true },
      'status' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'tag' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'type' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'vpcPeer' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false } }
    @child_classes = ['IpRsAddrToIpDef', 'IpRsRtDefIpAddr', 'IpRsIpAddr']
    @label = 'IPV6 Link Local Address'
    @naming_props = ['addr']
    @read_only = true

    def rn
      'lladdr-[' << @attributes['addr'] << ']'
    end
  end
  class Ipv6Nexthop < MO
    @class_name = 'ipv6.Nexthop'
    @ruby_class = 'Ipv6Nexthop'
    @prefix = 'nh-'
    @prefixes = [['nh-', true], ['-addr-', true], ['-vrf-', true]]
    @rn_format = 'nh-[%(nhIf)s]-addr-[%(nhAddr)s]-vrf-[%(nhVrf)s]'
    @containers = ['Ipv6Route']
    @props = { 'cachedRtCtrl' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'childAction' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'contextId' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'descr' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'dn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => true, 'isRn' => false },
      'flags' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'ipv6CfgFailedBmp' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'ipv6CfgFailedTs' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'ipv6CfgState' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'lcOwn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'modTs' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'monPolDn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'name' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'nhAddr' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => false },
      'nhIf' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => false },
      'nhVrf' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => false },
      'operSt' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'operStQual' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'pref' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'rn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => true },
      'rwEncap' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'status' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false } }
    @child_classes = ['FaultCounts', 'HealthInst', 'FaultInst', 'IpRsNexthopToNexthopDef', 'IpRsNexthopToProtG', 'FaultDelegate']
    @label = 'IPv6 Nexthop'
    @naming_props = ['nhIf', 'nhAddr', 'nhVrf']
    @read_only = true

    def rn
      'nh-[' << @attributes['nhIf'] << ']-addr-[' << @attributes['nhAddr'] << ']-vrf-[' << @attributes['nhVrf'] << ']'
    end
  end
  class Ipv6NexthopStub < MO
    @class_name = 'ipv6.NexthopStub'
    @ruby_class = 'Ipv6NexthopStub'
    @prefix = 'nhs-'
    @prefixes = [['nhs-', true], ['-addr-', true], ['-vrf-', true]]
    @rn_format = 'nhs-[%(nhIf)s]-addr-[%(nhAddr)s]-vrf-[%(nhVrf)s]'
    @containers = ['Ipv6Route']
    @props = { 'cachedRtCtrl' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'childAction' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'contextId' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'descr' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'dn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => true, 'isRn' => false },
      'flags' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'lcOwn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'modTs' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'name' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'nhAddr' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => false },
      'nhIf' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => false },
      'nhVrf' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => false },
      'operSt' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'operStQual' => { 'isAdmin' => false, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'pref' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'rn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => true },
      'rwEncap' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'status' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false } }
    @child_classes = ['IpRsNexthopToProtG', 'IpRsNexthopToNexthopDef', 'FaultDelegate']
    @label = 'IPv6 Nexthop'
    @naming_props = ['nhIf', 'nhAddr', 'nhVrf']
    @read_only = true

    def rn
      'nhs-[' << @attributes['nhIf'] << ']-addr-[' << @attributes['nhAddr'] << ']-vrf-[' << @attributes['nhVrf'] << ']'
    end
  end
  class Ipv6Route < MO
    @class_name = 'ipv6.Route'
    @ruby_class = 'Ipv6Route'
    @prefix = 'rt-'
    @prefixes = [['rt-', true]]
    @rn_format = 'rt-[%(prefix)s]'
    @containers = ['Ipv6Dom']
    @props = { 'childAction' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'ctrl' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'descr' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'dn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => true, 'isRn' => false },
      'flushCount' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'lcOwn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'modTs' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'monPolDn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'name' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'pcTag' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'pref' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'prefix' => { 'isAdmin' => true, 'isImplicit' => false, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => false },
      'rn' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => true, 'isDn' => false, 'isRn' => true },
      'sharedConsCount' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'status' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false },
      'tag' => { 'isAdmin' => true, 'isImplicit' => true, 'isCreateOnly' => false, 'isDn' => false, 'isRn' => false } }
    @child_classes = ['Ipv6Nexthop', 'FaultCounts', 'HealthInst', 'IpRsRouteToIfConn', 'Ipv6NexthopStub', 'FaultDelegate', 'IpRsRouteToRouteDef']
    @label = 'IPv6 Static Route'
    @naming_props = ['prefix']
    @read_only = true

    def rn
      'rt-[' << @attributes['prefix'] << ']'
    end
  end

end
